#!/bin/bash

# the definition of return value
#1: lack enough sd space
#2: unpack rar package failed
#3: version verify failed
#4: undefined error
ASCEND_SECLOG="/var/log/ascend_seclog"
logFile="${ASCEND_SECLOG}/ascend_install.log"
INSTALL_CACHE_DIR="/var/mini/install_cache"
FWM_DIR="/fw"
RUN_TYPE="mini"
log() {
    echo $1
    cur_date=`date +"%Y-%m-%d %H:%M:%S"`
    [ "$RUN_TYPE" == "mini" ] && echo "[driver] [$cur_date] "$1 >> $logFile
}

copy_file()
{
    local file=$1

    cp ${INSTALL_CACHE_DIR}/driver/$file $FWM_DIR/
    if [ $? -ne 0 ]; then
        log "[ERROR]copy $file to $FWM_DIR fail"
            exit 4
    else
        log "[INFO]copy $file to $FWM_DIR succ"
    fi
}

copy_firmware()
{
    if [ -d $FWM_DIR ]; then
        rm -f $FWM_DIR/*
        log "[INFO]delete original firmware"
    else
        mkdir -p $FWM_DIR
    fi
        log "[INFO]copy new firmware to $FWM_DIR"

    copy_file nve.bin
    copy_file xloader.bin
    copy_file HI1910_FPGA_DDR.fd
    copy_file lpm3.img
    copy_file tee.bin
    copy_file dt.img
    copy_file Image
    copy_file version.info
}

if [ $# -eq 2 ]; then
    INSTALL_CACHE_DIR="$1/var/mini/install_cache"
    FWM_DIR="$1/fw"
    RUN_TYPE="pc"
fi
log "[INFO]writing files to sdcard, please waiting several minutes ..."

copy_firmware
chmod -f 550 $FWM_DIR
chmod 440 $FWM_DIR/*
exit 0
